## libwildmagic 5.13

=== debian/changelog ===
libwildmagic (5.13-1ubuntu3) yakkety; urgency=medium

  * Fix last changelog entry.
  * debian/patches/ld-as-needed: Add header.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 09 May 2016 23:15:28 -0400

libwildmagic (5.13-1ubuntu2) yakkety; urgency=medium

  * debian/patches/ld-as-needed: Fix various (under)linking issues with ld
    --as-needed. Fixes problems with undefined symbols when linking against
    libwildmagic (LP: #1578222).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 08 May 2016 02:23:35 -0400

libwildmagic (5.13-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:10:48 +0000

libwildmagic (5.13-1) unstable; urgency=low
  
  * New upstream version implementing all the stuff that I used to put in
    the build fix patch. This patch is now removed.
  
  * This version clears the way to Debian as upstream has removed the
    sentence in LibMathematics/NumericalAnalysis/Wm5EigenDecomposition.cpp
    that could lead to think that there might be copyright issues with the
    code (thanks to Thorsten Alteholz <ftpmaster@ftp-master.debian.org>
    for spotting it). The author has commented about the sentence, removed
    it and fixed any potential issue by rewriting parts of the code (more
    details in private mail). This is an excerpt from a private mail:
  
       That sentence is badly worded.  It should have said: "TODO: This is
    a modified version of code from Numerical recipes in C that should not
    violate the copyright agreement. Regardless, rewrite the code to avoid
    any potential copyright issues."
  
  * Reminder to (Closes: #736536) the bug.
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Aug 2014 11:16:20 +0200

libwildmagic (5.12-1) UNRELEASED; urgency=low

  * New upstream version implementing all the stuff in the
    debian/patches/build-system-fixes patch.

  * Reminder to (Closes: #736536) the bug when entering unstable later.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 03 Jul 2014 21:46:59 +0200

libwildmagic (5.11-2) experimental; urgency=low

  * Fixed problems with the interlibrary intra-project dependencies
    (thanks to Hannes Röst <roest@imsb.biol.ethz.ch>). The main dependency
    investigation work is performed in
    debian/debian/inter-libs-deps-hunting.sh.

  * Reminder to (Closes: #736536) the bug when entering unstable later.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 25 Jun 2014 17:50:59 +0200

libwildmagic (5.11-1) experimental; urgency=low

  * Initial release (Closes: #736536).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 04 Apr 2014 17:58:41 +0200
