=== debian/control ===
Source: libwildmagic
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9.2), 
               dpkg-dev (>= 1.16.1~),
               libglu1-mesa-dev (>= 9.0.0), 
               quilt,
               docbook-to-man
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.geometrictools.com/
Vcs-Git: git://anonscm.debian.org/debichem/packages/libwildmagic.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libwildmagic.git

Package: libwildmagic-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, 
         libwildmagic5v5 (= ${binary:Version})
Description: libraries for mathematics, physics, numerical methods - dev files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 The source code is divided in such a manner that is provides these
 libraries:
 . 
  - The LibCore library contains some basic support that applications
    need. Some of this support is for convenience during development;
  - The LibMathematics library;
  - The LibGraphics library;
  - The LibPhysics library;
  - The LibApplications library.
 .
 This package ships the library development files.

Package: libwildmagic5v5
Architecture: any
Depends: libwildmagic-common (= ${source:Version}),
         ${shlibs:Depends}, 
         ${misc:Depends}
Conflicts: libwildmagic5
Replaces: libwildmagic5
Description: libraries for mathematics, physics, numerical methods - runtime
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships these libraries:
 . 
  - The LibCore library contains some basic support that applications
    need. Some of this support is for convenience during development;
  - The LibMathematics library;
  - The LibGraphics library;
  - The LibPhysics library;
  - The LibApplications library.


Package: libwildmagic5v5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwildmagic-common (= ${source:Version}),
         libwildmagic5v5 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libwildmagic5-dbg
Replaces: libwildmagic5-dbg
Description: libraries for mathematics, physics, numerical methods - debugging symbols
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships these libraries:
 . 
  - The LibCore library contains some basic support that applications
    need. Some of this support is for convenience during development;
  - The LibMathematics library;
  - The LibGraphics library;
  - The LibPhysics library;
  - The LibApplications library.
 . 
 This package provides the debugging symbols for libwildmagic5.


Package: libwildmagic-common
Architecture: all
Depends: ${misc:Depends}
Suggests: libwildmagic5v5 (= ${binary:Version})
Description: libraries for mathematics, physics, numerical methods - data files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships data files generally required when either using
 the library or developing with it or developing it.


Package: libwildmagic-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
         libwildmagic5v5 (= ${binary:Version})
Suggests: 
Description: libraries for mathematics, physics, numerical methods - example files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships example files.
