=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


VERSION=5.13

DEBIAN_DIR = $(CURDIR)/debian
BUILD_DIR = SDK/Library/DebugDynamic
WILDMAGIC_LIB_PACKAGE = libwildmagic5v5
WILDMAGIC_LIB_VERSION = $(VERSION)

%:
	dh $@

override_dh_auto_clean:
	dh_quilt_patch
	make CFG=DebugDynamic -f makefile.wm5 clean
	rm -f libwildmagic.3
	dh_quilt_unpatch

manpage:
	docbook-to-man debian/libwildmagic.sgml > debian/libwildmagic.3

override_dh_auto_build: manpage
	dh_quilt_patch
	make CFG=DebugDynamic -f makefile.wm5 

	# Now make sure we reproduce the example files hierarchy in
	# some clean location for later shipping by the .install file.
	sh debian/handle-sample-files.sh

override_dh_makeshlibs:
	mkdir -p $(DEBIAN_DIR)/$(WILDMAGIC_LIB_PACKAGE)/DEBIAN
	dpkg-gensymbols -p$(WILDMAGIC_LIB_PACKAGE) \
	-v$(WILDMAGIC_LIB_VERSION) \
	-c2 -d \
	-e$(BUILD_DIR)/libWm5Applications.so.$(WILDMAGIC_LIB_VERSION) \
	-e$(BUILD_DIR)/libWm5Core.so.$(WILDMAGIC_LIB_VERSION) \
	-e$(BUILD_DIR)/libWm5Graphics.so.$(WILDMAGIC_LIB_VERSION) \
	-e$(BUILD_DIR)/libWm5Imagics.so.$(WILDMAGIC_LIB_VERSION) \
	-e$(BUILD_DIR)/libWm5Mathematics.so.$(WILDMAGIC_LIB_VERSION) \
	-e$(BUILD_DIR)/libWm5Physics.so.$(WILDMAGIC_LIB_VERSION) \
	-O$(DEBIAN_DIR)/$(WILDMAGIC_LIB_PACKAGE)/DEBIAN/symbols

	dh_makeshlibs -a

override_dh_strip:
	dh_strip --dbg-package=$(WILDMAGIC_LIB_PACKAGE)-dbg -a
