## libwildmagic 5.17+cleaned1

=== debian/changelog ===
libwildmagic (5.17+cleaned1-7build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:48:14 +0200

libwildmagic (5.17+cleaned1-7) unstable; urgency=low

  * Fix the Bug#1047441: libwildmagic: Fails to build source after successful
    build.

  * Standards-Version: 4.6.2
  * debhelper-compat (= 13)

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 23 Nov 2023 22:19:22 +0100

libwildmagic (5.17+cleaned1-6) unstable; urgency=low

  * d/rules: Reinstate the -include /usr/share/dpkg/buildtools.mk (thanks to
    Helmut Grohne <helmut@subdivi.de>, and sorry for the misstep ; Closes:
    #982364).

  * Fix Multi-Arch support.

  * Standards-Version: 4.5.1 (no change required).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Feb 2021 11:23:32 +0100

libwildmagic (5.17+cleaned1-5) unstable; urgency=low

  * New version of the patch about the way libs are linked. 
    Thanks to Logan Rosen <logan@ubuntu.com> for the patch 
    (Closes: #960884).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 12 Nov 2020 14:23:28 +0100

libwildmagic (5.17+cleaned1-4) unstable; urgency=low

  *  Since July 2019, binaries uploaded by maintainers are not allowed to
     migrate to testing. In other words, packages must have source-only uploads
     before they can reach the next release 
     (Thanks to Boyuan Yang <byang@debian.org> ; Closes: #961027).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 16:34:55 +0200

libwildmagic (5.17+cleaned1-3) unstable; urgency=low

  * Fix the hardcoded compiler. Thanks to Helmut Grohne <helmut@subdivi.de>
    for the bug report (Closes: #959825).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 May 2020 15:51:00 +0200

libwildmagic (5.17+cleaned1-2) unstable; urgency=low

  * debian/patches/fixNoLinkToLibsSymbolsUnused.patch:
    apply a fix to impose linking to the core lib (constructors
    not used at compile time are not triggering linkage. Detected
    as a binary from the OpenMS package fails to build because
    the Math lib from WildMagic des not link to the Core mib.).
    The flag added is --no-as-needed -lWm5Core --as-needed.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 May 2020 09:56:01 +0200

libwildmagic (5.17+cleaned1-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 May 2020 22:41:35 +0200

libwildmagic (5.13-3) unstable; urgency=low

  * debian/copyright: fix typo with version of the GPL license of the
    debian/* files.
  
  * Standards-Version: 4.5.0.

  * Vcs-Browser: https://salsa.debian.org/debichem-team/libwildmagic
    Vcs-Git: https://salsa.debian.org/debichem-team/libwildmagic.git

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 May 2020 20:32:10 +0200

libwildmagic (5.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add the missing build dependency on libxext-dev. (Closes: #951972)
  * Architecture: linux-any (Closes: #815240)

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 May 2020 20:31:06 +0200
