=== debian/control ===
Source: libwildmagic
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec (>= 0.3),
               dpkg-dev (>= 1.19.7),
               libglu1-mesa-dev (>= 9.0.0), 
               libxext-dev,
               quilt,
               docbook-to-man
Standards-Version: 4.6.2
Section: libs
Homepage: http://www.geometrictools.com/
Vcs-Browser: https://salsa.debian.org/debichem-team/libwildmagic
Vcs-Git: https://salsa.debian.org/debichem-team/libwildmagic.git


Package: libwildmagic-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, 
         libwildmagic5 (= ${binary:Version})
Description: libraries for mathematics, physics, numerical methods - dev files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 The source code is divided in such a manner that is provides these
 libraries:
 . 
  - The LibCore library contains some basic support that applications
    need. Some of this support is for convenience during development;
  - The LibMathematics library;
  - The LibGraphics library;
  - The LibPhysics library;
  - The LibApplications library.
 .
 This package ships the library development files.


Package: libwildmagic5
Architecture: any
Multi-Arch: same
Depends: libwildmagic-common (= ${source:Version}),
         ${shlibs:Depends}, 
         ${misc:Depends}
Description: libraries for mathematics, physics, numerical methods - runtime
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships these libraries:
 . 
  - The LibCore library contains some basic support that applications
    need. Some of this support is for convenience during development;
  - The LibMathematics library;
  - The LibGraphics library;
  - The LibPhysics library;
  - The LibApplications library.


Package: libwildmagic-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libwildmagic5 (= ${binary:Version})
Description: libraries for mathematics, physics, numerical methods - data files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships data files generally required when either using
 the library or developing with it or developing it.


Package: libwildmagic-examples
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, 
         libwildmagic5 (= ${binary:Version})
Description: libraries for mathematics, physics, numerical methods - example files
 The WildMagic5 libraries are meant to help developers perform
 computing tasks in the following specialties:
 .
  - computer graphics;
  - mathematics;
  - physics;
  - numerical methods;
  - image analysis.
 .
 This package ships example files.
