=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,26 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+# Multi-arch support.
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+# Support for hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
+# Cross-build support.
+-include /usr/share/dpkg/buildtools.mk
 
-VERSION=5.13
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = SDK/Library/DebugDynamic
-WILDMAGIC_LIB_PACKAGE = libwildmagic5v5
-WILDMAGIC_LIB_VERSION = $(VERSION)
+WILDMAGIC_LIB_PACKAGE = libwildmagic5
+
+export WILDMAGIC_LIB_SOVERSION = 5
+export WILDMAGIC_LIB_VERSION=$(WILDMAGIC_LIB_SOVERSION).17
 
 %:
 	dh $@
@@ -23,13 +33,14 @@
 	make CFG=DebugDynamic -f makefile.wm5 clean
 	rm -f libwildmagic.3
 	dh_quilt_unpatch
+	rm -rf SDK
 
 manpage:
 	docbook-to-man debian/libwildmagic.sgml > debian/libwildmagic.3
 
 override_dh_auto_build: manpage
 	dh_quilt_patch
-	make CFG=DebugDynamic -f makefile.wm5 
+	make CFG=DebugDynamic -f makefile.wm5 'CC=$(CXX)'
 
 	# Now make sure we reproduce the example files hierarchy in
 	# some clean location for later shipping by the .install file.
@@ -50,5 +61,3 @@
 
 	dh_makeshlibs -a
 
-override_dh_strip:
-	dh_strip --dbg-package=$(WILDMAGIC_LIB_PACKAGE)-dbg -a
